# Administration Reference

## kas unlock

Purpose

Unlocks a locked user account

Synopsis

    kas unlock -name <authentication ID>
               [-admin_username <admin principal to use for authentication>]
               [-password_for_admin <admin password>]  [-cell <cell name>]
               [-servers <explicit list of authentication servers>+]
               [-noauth]  [-help]

    kas u -na <authentication ID>
          [-a <admin principal to use for authentication>]
          [-p <admin password>]  [-c <cell name>]
          [-s <explicit list of authentication servers>+]  [-no]  [-h]

Description

The kas unlock command unlocks the Authentication Database entry named by the -name argument. An entry becomes locked when the user exceeds the limit on failed authentication attempts, generally by providing the wrong password to either an AFS-modified login utility or the klog command. Use the kas setfields command to set the limit and the lockout time, and the kas examine command to examine the settings.

To unlock all locked user accounts at once, shutdown the kaserver process on every database server machine, and remove the /usr/afs/local/kaauxdb file from each one. The kaserver process recreates the file as it restarts.

Options

-name
  Names the Authentication Database entry to unlock.

-admin_username
  Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see the introductory kas reference page.

-password_for_admin
  Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see the introductory kas reference page.

-cell
  Names the cell in which to run the command. For more details, see the introductory kas reference page.

-servers
  Names each machine running an Authentication Server with which to establish a connection. For more details, see the introductory kas reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory kas reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

In the following example, an administrator using the admin account unlocks the entry for jones:

       % kas unlock -name jones -admin_username admin
       Administrator's (admin) Password:

Privilege Required

The issuer must have the `ADMIN` flag set on his or her Authentication Database entry.

Related Information

kas

kas examine

kas setfields

klog

© IBM Corporation 2000. All Rights Reserved